<?php
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

$set['title']='Список смайлов '.$_SERVER['HTTP_HOST'];
include_once 'sys/inc/thead.php';

title();
aut();

echo '<div class="menu">';

if (is_file(H.'sys/add/smiles.txt')){
	$f=file(H.'sys/add/smiles.txt');

$k_page=k_page(count($f),$set['p_str']);
$page=page($k_page);
$start=$set['p_str']*($page-1);
$end=$set['p_str']*$page;

echo '<table class="post">';

for($i=$start;$i<$end && $i<count($f);$i++){
	echo '<tr>';
	$smile=explode(' ', $f[$i]);
	echo '<td>'.smiles(stripcslashes(htmlspecialchars($smile[0]))).'</td><td>'.stripcslashes(htmlspecialchars($f[$i])).'</td></tr>';
	}

echo '</table>';

if($k_page>1){
	str("?",$k_page,$page);
	}
	}

echo '</div>';
include_once 'sys/inc/tfoot.php';
?>